server:
  port: 8002
spring:
  config:
    activate:
      on-profile: local
  servlet:
    multipart:
      enabled: true
      max-file-size: 50MB
      max-request-size: 50MB
  datasource:
    driverClassName: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://rm-wz9v86640axofea909o.mysql.rds.aliyuncs.com:3306/app_jing_yn_bftl_byx_master_dev?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai
#    username: app_jing
#    password: Asdf123!@#
#    url: jdbc:mysql://182.44.68.187:13306/baiyexing?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai
#    username: baiyexing
#    password: baiyexing@@1234
    url: jdbc:mysql://localhost:3306/baiyexing?useUnicode=true&characterEncoding=UTF-8&useSSL=false&serverTimezone=Asia/Shanghai
    username: root
    password: 123456
    hikari:
      maximum-pool-size: 100
      minimum-idle: 1
      idle-timeout: 30000
      max-lifetime: 3600000 # 设置最大生命周期为60分钟
      connection-test-query: SELECT 1 # 连接有效性检查查询

  jpa:
    hibernate:
      ddlAuto: none
    showSql: false
    properties:
      hibernate:
        session_factory:
          interceptor: com.yn.bftl.thirdparty.interceptor.AuditInterceptor
  redis:
    database: 14
#    host: 120.76.99.226
    host: localhost
    port: 6379
    pool:
      max-active: 8
      max-wait: 1
      max-idle: 8
      min-idle: 0
    timeout: 20000
    password:
#  rabbitmq:
#    host: 120.76.99.226
#    port: 5672
#    username: bftl
#    password: YnceRabbitmq0319
#    virtual-host: /bftl
#  data:
#    mongodb:
#      repositories:
#        type: none
#    elasticsearch:
#      repositories:
#        enabled: false
file:
  basePath: /root/files
  urlPath: http://hypass.file.yn-ce.com:8088/bftl/
qiniu:
  accessKey: Vo_jAis-RYsjC7n9pGTtTh2Oa6wtkyq52aiLaiyg
  secretKey: jyYMQfpcA4naN-Pxsxr-UgBHubtr_nK-Y4HQzun0
  bucketName: bftl
  domain:
    files: http://files.bftl.yn-ce.com
    video: http://video.bftl.yn-ce.com
    image: xxxx
proxy:
  host: 10.27.182.59
  port: 18889
u8:
  whiteIp: 182.44.69.33